<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx

$updateMessage = '';

if (isset($_POST['update_imwb_covertgeotargeterSettings'])) {
	if (isset($_POST['imwbCovertGeo_ApiKey']))
		$this->options['api_key'] = $_POST['imwbCovertGeo_ApiKey'];
	$this->options['def_ctycode'] = trim($_POST['imwbCovertGeo_defCtyCode']);
	$this->options['def_ctyname'] = trim($_POST['imwbCovertGeo_defCtyName']);
	$this->options['def_regname'] = trim($_POST['imwbCovertGeo_defRegName']);
	$this->options['def_cityname'] = trim($_POST['imwbCovertGeo_defCityName']);
   $this->options['provider'] = trim($_POST['imwbCovertGeo_provider']);

	update_option($this->plugin_name."-AdminOptions", $this->options);

   $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>Settings Updated </strong></p></div>';
}
?>
<div class="wrap">
<div class="branding clearfix">
 <div class="logo">
  <img class="logo" src="<?php echo plugin_dir_url( __FILE__ ) . 'images/imwblogo.png';?>">
  <span class="help-link"><a href="http://imwealthbuilders.com/newplugins" target="_blanl">Other Products</a> | <a href="http://imwealthbuilders.com" target="_blanl">Blog</a></span>
 </div>
 <h1 class="page-title"><?php echo esc_html( get_admin_page_title() ); ?></h1>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2>Settings - <small><a href="http://covertgeotargeter.com/help/std_help.html" target="_blank">Click Here For Help</a></small></h2>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<div class="imwb_cabar_active_panel"><p><strong>Welcome to the Covert Geo Targeter admin area.</strong></p>
<p>In order to make the plugin work, the first thing you have to do, is to hook it up to one of the geo location data bases below.</p>
<p>Remember geo targeting is not an exact science and there are a lot of variables - while the plugin will have an almost 100% success rate in determining the country of your visitor - the more detailed you go for example "city" the lower the success rate will be. Furthermore the success rate will vary for different countries with the US generally having the highest - in smaller countries with less data the success rate may be lower.</p>
<p>So in order to provide you with the best possible accuracy we have included two different sources to choose from (both of them completely free to use) - You should test out which one works the best for your needs.</p>
<p>NB: remember to click on "update" settings if you switch between the two!</p>
<p><strong>Select Provider</strong></p>
<p><input type=radio name="imwbCovertGeo_provider"  value="I" <?php echo $this->options['provider'] == 'I' ? "checked" : "" ?>> <a href="http://ipinfodb.com/register.php" target="_blank">IPInfoDB</a> - You need to register for an API key and enter it in the field below. The "IP Info DB" is an intelligent database that gets updated once every 30 days based on user input. In other words it will continue to get better.</p>
<p><input type=radio name="imwbCovertGeo_provider"  value="G" <?php echo $this->options['provider'] == 'G' ? "checked" : "" ?>> geoPlugin - You do not need an API key to use this provider - simply check the button and click on "update settings" to use it - it may provide results that are better suited to your needs.</p>
</div>
<div class="imwb_show_options clearfix" <?php echo $this->options['provider'] == 'I' ? "" : 'style="display:none"' ?>>
<h3>IPInfoDB API Key</h3>
<p>You need an API key to use the "IP Info Database". If you don't have an API key yet, just click <a href="http://ipinfodb.com/register.php" target="_blank">here and register</a> for your free API key. Simply fill in the form and submit and you will be given an API key on the next step, paste that key into the box below and click on "Update Settings" to save it.</p>
<input type=text name="imwbCovertGeo_ApiKey" style="width: 80%;" value="<?php echo $this->options['api_key'] ?>">
</div>
<h3>Shortcodes</h3>
<p>The <b>shortcodes</b> below can be used to display your visitors geo information anywhere on your blog. They will work in posts/pages, in titles, in widgets and even in other plugins (if they support shortcodes). Simply paste the relevant shortcode anywhere on your blog and it will start working. For more information and tips on how to use this, please watch the tutorial video on your download page (found inside <a href="https://jvzoo.com/portal" target="_blank">JV Zoo</a>.</p>

<p>The <b>default</b> values are used if the plugin is unable to determine one (or more) of your visitor's values. If you leave the box blank the plugin will leave a blank space in place of the shortcode - but you can enter any default value you want.</p>
<table class="widefat" style="width: 700px">
<thead>
<tr>
<th>Shortcode</th>
<th>Description</th>
<th>Default</th>
</tr>
</thead>
<tbody>
<tr>
<td>[imwb_cgt_countryCode]</td>
<td>The Country Code</td>
<td><input type=text name="imwbCovertGeo_defCtyCode" style="width: 100%;" value="<?php echo $this->options['def_ctycode'] ?>"></td>
</tr>
<tr>
<td>[imwb_cgt_countryName]</td>
<td>The Country Name</td>
<td><input type=text name="imwbCovertGeo_defCtyName" style="width: 100%;" value="<?php echo $this->options['def_ctyname'] ?>"></td>
</tr>
<tr>
<td>[imwb_cgt_regionName]</td>
<td>The Region</td>
<td><input type=text name="imwbCovertGeo_defRegName" style="width: 100%;" value="<?php echo $this->options['def_regname'] ?>"></td>
</tr>
<tr>
<td>[imwb_cgt_cityName]</td>
<td>The City</td>
<td><input type=text name="imwbCovertGeo_defCityName" style="width: 100%;" value="<?php echo $this->options['def_cityname'] ?>"></td>
</tr>
</tbody>
</table>
<div class="submit">
<input class="button-primary" type="submit" name="update_imwb_covertgeotargeterSettings" value="<?php _e('Update Settings', 'imwb_covertgeotargeter') ?>" />
</div>
</form>
<a id="imwb_plugin_upgrade_link" href="http://covertgeotargeter.com/upgrade" target="_blank">Click Here To Upgrade To The Pro Version</a>
<br><br>
	<iframe src="http://imwealthbuilders.com/wp_squeeze/promote.php?aid=0" width="815px" height="800px"></iframe>
 </div>
 </div>
